List template versions
curl --request GET \
--url https://{organization}.rescueconsole.com/api/communications/templates/{id}/versions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/communications/templates/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/communications/templates/{id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"version": 123,
"subject_template": "<string>",
"body_template": "<string>",
"variables": [
"<unknown>"
],
"changed_by_person_id": "<string>",
"changed_by_name": "<string>",
"note": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_current": true
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Message templates
List template versions
Every version of a template’s wording, newest first. Versions are never changed or removed while the template exists. Needs read on Communications.
GET
/
api
/
communications
/
templates
/
{id}
/
versions
List template versions
curl --request GET \
--url https://{organization}.rescueconsole.com/api/communications/templates/{id}/versions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/communications/templates/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/communications/templates/{id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"version": 123,
"subject_template": "<string>",
"body_template": "<string>",
"variables": [
"<unknown>"
],
"changed_by_person_id": "<string>",
"changed_by_name": "<string>",
"note": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_current": true
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}